Subject: bug#35877: [Giovanni Biscuolo] guix pull extremely verbose (with no ----verbose)

From: Giovanni Biscuolo <[email-masked]>
Date: Fri, 24 May 2019 15:35:02 +0200

Hello,

I'm forwarding my first findings here, with some details to try to
reproduce this bug

Subject: guix pull extremely verbose (with no ----verbose)
From: Giovanni Biscuolo <[email-masked]>
To: [email-masked]
Date: Thu, 23 May 2019 12:40:50 +0200

Hi Guix!

I've run "guix pull" many many times since today but now after that
command I see a lot of logs like this one:

--8<---------------cut here---------------start------------->8---
@ build-log 9461 44
checking if GSS-API support is requested... @ build-log 9461 4
yes
@ build-log 9461 28
checking gss.h usability... @ build-log 9461 4
yes
@ build-log 9461 27
checking gss.h presence... @ build-log 9461 4
yes
@ build-log 9461 22
checking for gss.h... @ build-log 9461 4
yes
@ build-log 9461 82
checking whether to enable Windows native SSL/TLS (Windows native builds only)... @ build-log 9461 3
no
@ build-log 9461 47
checking whether to enable Secure Transport... @ build-log 9461 63
no
checking whether to enable Amiga native SSL/TLS (AmiSSL)... @ build-log 9461 3
no
@ build-log 9461 27
checking for pkg-config... @ build-log 9461 9
(cached) @ build-log 9461 77
/gnu/store/xyiyf12w4i7zf5g5b4ah0bi1mmd6i8xa-pkg-config-0.29.2/bin/pkg-config
@ build-log 9461 48
checking for openssl options with pkg-config... @ build-log 9461 3
no
@ build-log 9461 40
checking for HMAC_Update in -lcrypto... @ build-log 9461 3
no
@ build-log 9461 41
checking for HMAC_Init_ex in -lcrypto... @ build-log 9461 3
no
@ build-log 9461 38
checking OpenSSL linking with -ldl... @ build-log 9461 3
no
@ build-log 9461 52
checking OpenSSL linking with -ldl and -lpthread... @ build-log 9461 3
no
@ build-log 9461 36
checking for pkg-config... (cached) @ build-log 9461 77
/gnu/store/xyiyf12w4i7zf5g5b4ah0bi1mmd6i8xa-pkg-config-0.29.2/bin/pkg-config
@ build-log 9461 47
checking for gnutls options with pkg-config... @ build-log 9461 6
--8<---------------cut here---------------end--------------->8---

I'm trying from two different machines, one on forein distro and one
with Guix System but the output is the same on both

On the first I am at

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 2    Jun 21 2019 19:03:33    (current)
  guix 6acf6ce
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 6acf6cec7d74d2e288e275429e8362bfb04b0286
--8<---------------cut here---------------end--------------->8---

while on the second I am at

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 20   May 12 2019 16:17:24    (current)
  guix 59199e1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 59199e1adbd5d5f3116a2ca4b580222908f1853e
--8<---------------cut here---------------end--------------->8---

so it does not seem related to guix version

Any hint on what's going on plz?

Thanks! Gio'.

-- 
Giovanni Biscuolo

Xelera IT Infrastructures
-- 
Giovanni Biscuolo

Xelera IT Infrastructures